.items-group {
    display: grid;
    grid-row-gap: rem(15);
    grid-column-gap: rem(15);
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    grid-template-areas: "spot-1 spot-2"
                        "spot-3 spot-4"
                        "spot-5 spot-6"
                        "spot-7 spot-8";

    @include media-breakpoint-up(sm) {
        padding-top: rem(30);
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        grid-template-areas: "spot-1 spot-2 spot-3"
                        "spot-4 spot-5 spot-6";
    }

    @include media-breakpoint-up(md) {
        padding-top: 0;
        width: rem(343);
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr;
        grid-template-areas: "spot-1 spot-2"
                        "spot-3 spot-4"
                        "spot-5 spot-6";
    }

    @include media-breakpoint-up(xl) {
        width: rem(1090);
        grid-row-gap: rem(30);
        grid-column-gap: rem(30);
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        grid-template-areas: "spot-1 spot-2 spot-3 spot-4"
                        "spot-5 spot-6 spot-7 spot-8";
    }
}

.item {
    display: block;
    overflow: hidden;
    position: relative;

    &__base {
        display: none;
    }

    &__hover {
        display: block;
    }

    &__wrap {
        position: relative;
    }

    &__image {
        z-index: 1;
        margin-top: -26%;
        margin-bottom: -21.5%;
        position: relative;
    }

    &__pattern {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        position: absolute;

        &:after,
        &:before {
            top: 0;
            z-index: 1;
            content: '';
            width: rem(7);
            height: rem(7);
            position: absolute;
            border-top: 1px solid $white;
        }

        &:after {
            left: 0;
            border-left: 1px solid $white;
        }

        &:before {
            right: 0;
            border-right: 1px solid $white;
        }

        &--bottom {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            position: absolute;

            &:after,
            &:before {
                bottom: 0;
                z-index: 1;
                content: '';
                width: rem(7);
                height: rem(7);
                position: absolute;
                border-bottom: 1px solid $white;
            }

            &:after {
                left: 0;
                border-left: 1px solid $white;
            }

            &:before {
                right: 0;
                border-right: 1px solid $white;
            }
        }
    }

    &__label {
        left: 0;
        right: 0;
        z-index: 20;
        bottom: 30%;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__title {
        color: $black;
        height: rem(16);
        padding: 0 rem(6);
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(17);
        letter-spacing: 0.15rem;
        background: $white;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        text-transform: uppercase;
        font-family: $font-family-secondary;
    }

    &__text {
        color: rgba(255,255,255,0.8);
        display: none;
    }

    &--01 {
        grid-area: spot-1;
    }

    &--02 {
        grid-area: spot-3;
    }

    &--03 {
        grid-area: spot-2;
    }

    &--04 {
        grid-area: spot-4;
    }

    &--05 {
        grid-area: spot-5;
    }

    &--06 {
        grid-area: spot-7;
    }

    @include media-breakpoint-up(sm) {

        &--06 {
            grid-area: spot-6;
        }

    }

    @include media-breakpoint-up(md) {

        &__image {
            margin-top: 0;
            margin-bottom: 0;
        }

        &__label {
            top: auto;
            bottom: rem(15);
        }

        &--02 {
            grid-area: spot-2;
        }

        &--03 {
            grid-area: spot-4;
        }

        &--04 {
            grid-area: spot-5;
        }

        &--05 {
            grid-area: spot-3;
        }

        &--06 {
            grid-area: spot-6;
        }
    }

    @include media-breakpoint-up(xl) {
        overflow: visible;

        &__base {
            padding: rem(3);
            height: rem(112);
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;

            &:before {
                z-index: 20;
                content: '';
                top: rem(3);
                left: rem(3);
                right: rem(3);
                bottom: rem(3);
                position: absolute;
                background: url("../img/item__bg.webp") 0 0 repeat;
            }
        }

        &__hover {
            top: 0;
            left: 0;
            right: 0;
            display: none;
            position: absolute;
            overflow: hidden;

            .item__text {
                color: rgba(255,255,255,0.8);
            }
        }

        .item__label {
            top: 0;
            bottom: auto;
            height: rem(112);
            transition: .3s;
        }

        &__title {
            padding: 0 rem(8);
            height: rem(24);
            font-size: rem(18);
            line-height: rem(22);
        }

        &__text {
            opacity: 0.8;
            display: block;
            font-size: rem(16);
            line-height: rem(24);
            padding-top: rem(15);
            padding-bottom: rem(24);
        }

        &:hover {
        //    z-index: 20;

            .item__base {

                &:before {
                    opacity: 0;
                    visibility: hidden;
                }

                .item__pattern {
                    opacity: 0;
                    visibility: hidden;
                }
            }

            .item__label {
                top: rem(138);
                transition: .3s;
            }
        }

        &--01 {
            z-index: 10;
            grid-area: spot-1;
        }

        &--02 {
            z-index: 10;
            grid-area: spot-2;
        }

        &--03 {
            z-index: 10;
            grid-area: spot-3;
        }

        &--04 {
            z-index: 5;
            grid-area: spot-7;
        }

        &--05 {
            z-index: 5;
            grid-area: spot-6;
        }

        &--06 {
            z-index: 5;
            grid-area: spot-8;
        }
    }
}
